summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-07-24 12:43:33 +0200
committerChristian Grothoff <christian@grothoff.org>2020-07-24 12:43:33 +0200
commitd72816cfde668130a6f3c25d8be35232a4e92859 (patch)
tree64f8c944022f4ba6ebd7eddb67c02c4f6076fcd4 /contrib
parent816ff63ab6c799288c33fc5baed70690130bb2b2 (diff)
downloadexchange-d72816cfde668130a6f3c25d8be35232a4e92859.tar.gz
exchange-d72816cfde668130a6f3c25d8be35232a4e92859.tar.bz2
exchange-d72816cfde668130a6f3c25d8be35232a4e92859.zip
fix #6431
Diffstat (limited to 'contrib')
m---------contrib/gana0
-rwxr-xr-xcontrib/gana-update.sh18
-rwxr-xr-xcontrib/gana.sh14
3 files changed, 19 insertions, 13 deletions
diff --git a/contrib/gana b/contrib/gana
-Subproject b740d0021e0ed6c0a7db00eac0e39d33cb263e5
+Subproject 82ff6a36db88799cf6f658bd8855cefa5306c06
diff --git a/contrib/gana-update.sh b/contrib/gana-update.sh
new file mode 100755
index 000000000..a5da6f1b1
--- /dev/null
+++ b/contrib/gana-update.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Helper script to recompute error codes based on submodule
+# Run from exchange/ main directory.
+set -eu
+
+# Generate taler-error-codes.h in gana and copy it to
+# src/include/taler_error_codes.h
+cd contrib/gana/gnu-taler-error-codes
+make
+cd ../../..
+if ! diff contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h > /dev/null
+then
+ echo "Deploying latest new GANA database..."
+ cp contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h
+ cp contrib/gana/gnu-taler-error-codes/taler_error_codes.c src/util/taler_error_codes.c
+else
+ echo "GANA database already up-to-date"
+fi
diff --git a/contrib/gana.sh b/contrib/gana.sh
index e6fe32e0a..1055d778b 100755
--- a/contrib/gana.sh
+++ b/contrib/gana.sh
@@ -9,16 +9,4 @@ cd contrib/gana
git pull origin master
cd ../..
-# Generate taler-error-codes.h in gana and copy it to
-# src/include/taler_error_codes.h
-cd contrib/gana/gnu-taler-error-codes
-make
-cd ../../..
-if ! diff contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h > /dev/null
-then
- echo "Deploying latest new GANA database..."
- cp contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h
- cp contrib/gana/gnu-taler-error-codes/taler_error_codes.c src/util/taler_error_codes.c
-else
- echo "GANA database already up-to-date"
-fi
+./contrib/gana-update.sh